Bug 18710 - Crosshair cursor is missing on KStars starmap if using EXA mode
Summary: Crosshair cursor is missing on KStars starmap if using EXA mode
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Acceleration/EXA (show other bugs)
Version: 7.4 (2008.09)
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.6.1
  Show dependency treegraph
 
Reported: 2008-11-26 03:54 UTC by Jure Repinc
Modified: 2009-06-15 04:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf from Gentoo (2.41 KB, text/plain)
2008-11-26 03:54 UTC, Jure Repinc
no flags Details
Xorg.0.log from Gentoo (44.23 KB, text/x-log)
2008-11-26 04:13 UTC, Jure Repinc
no flags Details
Fix (3.51 KB, patch)
2009-02-22 07:24 UTC, Michel Dänzer
no flags Details | Splinter Review
Fix against Git master (3.11 KB, patch)
2009-02-22 07:30 UTC, Michel Dänzer
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jure Repinc 2008-11-26 03:54:55 UTC
Created attachment 20605 [details]
xorg.conf from Gentoo

I'm using KDE 4.1.3 on Mandriva Linux 2009 and on Gentoo Linux. Both are 64-bit. on both of these systems I use the open source radeon drivers. In one system I have integrated ATI Radeon Xpress 200M and in another I have ATI Radeon 9600 XT. If I use EXA mode the crosshair cursor that should show when mouse is over the skymap is invisible. If I switch to XAA mode the cursor shows just fine.
Comment 1 Jure Repinc 2008-11-26 04:13:35 UTC
Created attachment 20606 [details]
Xorg.0.log from Gentoo
Comment 2 Jure Repinc 2008-12-25 15:02:24 UTC
It looks like this bug is not limited only to radeon driver. Other drivers also have it when using EXA:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-driver-i810/+bug/260630
Could these be a problem in the Xorg server then?
Comment 3 Jure Repinc 2009-02-15 01:58:09 UTC
I've just tried with X.Org X Server 1.5.99.902 (1.6.0 RC 2) and the bug is still present.
Comment 4 Michel Dänzer 2009-02-22 07:20:32 UTC
Marking as blocker for 1.6 as I have a fix I'll send out for review shortly.
Comment 5 Michel Dänzer 2009-02-22 07:24:22 UTC
Created attachment 23175 [details] [review]
Fix
Comment 6 Michel Dänzer 2009-02-22 07:30:28 UTC
Created attachment 23176 [details] [review]
Fix against Git master

The previous fix depended on other pending changes of mine.
Comment 7 Michel Dänzer 2009-02-24 01:49:16 UTC
Fixed in xserver master commit 170cf1270dff38d3cce7f5ba5b940d1c0d70eff5, leaving this report open for consideration for the 1.6 branch.
Comment 8 Keith Packard 2009-02-25 11:57:59 UTC
I can't apply the EXA patch as it breaks most existing drivers, and we've already frozen the server ABIs for this release. If a fix which doesn't require driver updates is made, we can put that into 1.6.1, otherwise the change will have to wait for 1.7 when an EXA ABI change can be incorporated.
Comment 9 Michel Dänzer 2009-02-27 08:21:31 UTC
ABI preserving fix in commit 4cfb36f6ad2df01215028fec48d99239a0e4496b .
Comment 10 Michel Dänzer 2009-05-20 04:35:05 UTC
The fix has been merged to server-1.6-branch.
Comment 11 Torsten Rahn 2009-06-13 08:42:00 UTC
Same problem with 

* Intel 945GM (Thinkpad X60s)  
* UXA "acceleration"
* KDE 4.2.2 and KStars 1.5.0
* on (K)Ubuntu 9.04
* Kernel 2.6.30, 
* intel driver compiled for 1.6.1.901, module version = 2.7.99 (xorg bleeding edgers) from June 13th 2009.

The cursor doesn't show up on this configuration :-(

As with all other remaining XOrg problems using kstars with 

kstars -graphicssystem raster

makes everything work kind of decent and the cursor reappears (but of course kind of circumvents XOrg).

Should I reopen?
Comment 12 Michel Dänzer 2009-06-15 04:40:39 UTC
(In reply to comment #11)
> * UXA "acceleration"
> [...]
> Should I reopen?

UXA is an intel driver specific fork of EXA, so if anything, reopen the corresponding intel driver bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.